Name: H5Gget_comment
Signature:
  int `H5Gget_comment`(hid_t `loc_id`, const char *`name`, size_t `bufsize`, char *`comment` )
Purpose:
  Retrieves comment for specified object.
Description:
  `H5Gget_comment` retrieves the comment for the the object specified by `loc_id` and `name`. The comment is returned in the buffer `comment`.

  At most `bufsize` characters, including a null terminator, are returned in `comment`. The returned value is not null terminated if the comment is longer than the supplied buffer.

  If an object does not have a comment, the empty string is returned.

Parameters:

hid_t `loc_id` | IN: Identifier of the file, group, dataset, or named datatype.
const char *`name` | IN: Name of the object in `loc_id` whose comment is to be retrieved. `name` can be '.' (dot) if `loc_id` fully specifies the object for which the associated comment is to be retrieved. `name` is ignored if `loc_id` is a dataset or named datatype.
size_t `bufsize` | IN: Anticipated required size of the `comment` buffer.
char *`comment` | OUT: The comment.

Returns:
  Returns the number of characters in the comment, counting the null terminator, if successful; the value returned may be larger than `bufsize`. Otherwise returns a negative value.
Fortran90 Interface: h5gget_comment_f

      SUBROUTINE h5gget_comment_f(loc_id, name, size, buffer, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id         ! File, group, dataset, or
                                                     ! named datatype identifier
        CHARACTER(LEN=*), INTENT(IN) :: name         ! Name of the object link
        CHARACTER(LEN=size), INTENT(OUT) :: buffer   ! Buffer to hold the comment
        INTEGER, INTENT(OUT) :: hdferr               ! Error code
                                                     ! 0 on success and -1 on failure
      END SUBROUTINE h5gget_comment_f